defmodule Prymn.ServersFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Prymn.Servers` context.
  """

  @doc """
  Generate a server.
  """
  def server_fixture(attrs \\ %{}) do
    {:ok, server} =
      attrs
      |> Enum.into(%{
        name: "some name",
        ipv4: "192.168.1.1",
        ipv6: "[1234:5678::1]"
      })
      |> Prymn.Servers.create_server()

    server
  end
end
